print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricemustard = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local mustardHudFile = "Paletten/hud_fill_mustard.dds"
	local mustardHudFileSmall = "Paletten/hud_fill_mustard_small.dds"
	
    local mustardFilType = g_fillTypeManager:addFillType("MUSTARD", g_i18n:getText("mustard"), true, pricemustard * 0.7, 0.00045, math.rad(10), mustardHudFile, mustardHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasmustard=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasmustard=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "MUSTARD" then
		hasmustard=true
	end;
		
end;

		if hasmaize and not hasmustard then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("MUSTARD")
		local price = g_fillTypeManager:getFillTypeByName("MUSTARD").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MUSTARD")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)